<form method ='post' enctype ="multipart/form-data" 
    {% if edit %}
        action="{% url 'profile:admin_setting_edit_carousel' id=carousel.id %}"
    {% else %}
        action="{% url 'profile:admin_setting_create_carousel' %}"
    {% endif %}>

   
    {% csrf_token %}
    
    {% if edit %}
        <input type="hidden" name="{{ form.id.name }}" id="{{ form.id.id_for_label }}" value="{{ form.id.value|stringformat:'s' }}">
    {% endif %}

    <div class="form-group" id="form-input-foto">
        <label for="foto">Foto</label>
        <input type="file" placeholder="Masukkan foto berita..."
            class="form-control"
            name="foto"
            id="foto" 
            {% if not edit %}required{% endif %} >
        <small id="passwordHelpBlock" class="form-text text-muted">
            {% if edit %}Kosongi apabila tidak ingin mengganti file.{% endif %}
        </small>
    </div>

    

    <div class="form-group">
        <label for="judul">Judul</label>
        <input type="text" placeholder="Masukkan subjudul carousel..."
            class="form-control"
            name="judul"
            id="judul" 
            value="{{ carousel.judul }}"
            required>
        <span id="judul-counter"></span>
    </div>

    <div class="form-group">
        <label for="subjudul">Subjudul</label>
        <input type="text" placeholder="Masukkan judul carousel..."
            class="form-control"
            name="subjudul"
            id="subjudul" 
            value="{{ carousel.subjudul }}"
            required>
        <span id="subjudul-counter"></span>
    </div>

    <div class="form-group">
        <label for="harga">Harga</label>
        <input type="text" placeholder="Masukan Harga......" class="form-control" name="harga" id="harga"
        onkeyup="formatRp(this.value, 'harga')" {% if edit %} value="{{carousel.harga}}" {% endif %} required>
        <input type="hidden" class="form-control" name="fix_harga" id="fix_harga">
    </div>

    <div class="form-group">
        <label>Enable Diskon?</label>
        <div class="form-check">
          <input class="form-check-input" type="radio" name="enablePromo" id="enablePromoYes" value="yes" {% if carousel.diskon %} checked {% endif %}>
          <label style="margin-right: 30px;" class="form-check-label" for="enablePromoYes">
            Yes
          </label>

          <input class="form-check-input" type="radio" name="enablePromo" id="enablePromoNo" value="no" {% if not carousel.diskon  %} checked {% endif %}>
          <label class="form-check-label" for="enablePromoNo">
            No
          </label>
        </div>
    </div>

    <div class="form-group">
        <label for="diskon">Diskon (%) </label>
        <input type="text" placeholder="Persentase Diskon Cth.20 (Masukan Angka saja)..."
            class="form-control"
            name="diskon"
            id="diskon"  
            onchange="hitungHargaSetelahDiskon()"
            value="{{carousel.persen_diskon}}">
    </div>

    <div class="form-group">
        <label for="after_diskon">Price After Diskon</label>
        <input type="text" class="form-control" placeholder="Product Price After Diskon..." 
           class="form-control" 
           name="after_diskon" 
           id="after_diskon" 
           value="{{carousel.diskon}}"
           readonly>
        <input type="hidden" id="fixdiskon" name="fixdiskon" value="{{carousel.diskon}}">
    </div>
    <!-- <div class="form-group">
        <label for="{{ form.link.id_for_label }}">Link</label>
        <input type="text" placeholder="Masukkan link carousel..."
            class="form-control {% if form.link.errors %}is-invalid{% endif %}"
            name="{{ form.link.name }}"
            id="{{ form.link.id_for_label }}" 
            maxlength="{{ form.link.field.max_length }}"
            {% if form.link.value != None %}value="{{ form.link.value|stringformat:'s' }}"{% endif %}
            {% if form.link.field.required %}required{% endif %} >
        {% if form.link.errors %}
            <div class="invalid-feedback">
                {{ form.link.errors }}
            </div>
        {% endif %}
    </div> -->
    <div class="form-group">
        <label for="popular">Popular</label>
        <select name="popular" class="form-control">
            {% if edit %}
                <option value="{{carousel.kondisi}}">{{carousel.kondisi}}</option>
            {% endif %}
            {% if not edit %}
                <option value="">---PILIH---</option>
            {% endif %}
            <option value="Popular">Popular</option>
            <option value="Terlaris">Terlaris</option>
            <option value="Tidak">Not Yet</option>
        </select>
    </div>
    <div class="form-group">
        <label for="keterangan">Keterangan</label>
        <textarea 
            class="ckeditor" 
            id="keterangan" 
            name="keterangan"
            required
            rows="5"
            maxlength="200">{{carousel.keterangan}}</textarea>
            <span id="keterangan-counter"></span>
    </div>

    <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan</button>
</form>
<script>
    var keterangan = document.getElementById('keterangan');
    var counter = document.getElementById('keterangan-counter');

    keterangan.addEventListener('input', function() {
    var remainingChars = 200 - keterangan.value.length;
    counter.textContent = remainingChars + ' karakter tersisa';

    if (remainingChars < 0) {
        counter.style.color = 'red';
        // Tambahkan tindakan yang ingin Anda lakukan saat karakter terlampaui, misalnya:
        // alert('Keterangan terlalu panjang!');
    } else {
        counter.style.color = 'inherit';
    }
    });
    
    var judulInput = document.getElementById('judul');
    var judulCounter = document.getElementById('judul-counter');

    var subjudulInput = document.getElementById('subjudul');
    var subjudulCounter = document.getElementById('subjudul-counter');

    judulInput.addEventListener('input', function() {
    var remainingChars = 100 - judulInput.value.length;
    judulCounter.textContent = remainingChars + ' karakter tersisa';

    if (remainingChars < 0) {
        judulCounter.style.color = 'red';
        // Tambahkan tindakan yang ingin Anda lakukan saat karakter terlampaui, misalnya:
        // alert('Judul terlalu panjang!');
    } else {
        judulCounter.style.color = 'inherit';
    }
    });

    subjudulInput.addEventListener('input', function() {
    var remainingChars = 75 - subjudulInput.value.length;
    subjudulCounter.textContent = remainingChars + ' karakter tersisa';

    if (remainingChars < 0) {
        subjudulCounter.style.color = 'red';
        // Tambahkan tindakan yang ingin Anda lakukan saat karakter terlampaui, misalnya:
        // alert('Subjudul terlalu panjang!');
    } else {
        subjudulCounter.style.color = 'inherit';
    }
    });
</script>


